# Class PickConeRay

java.lang.Object
javax.media.j3d.PickShape
javax.media.j3d.PickCone
javax.media.j3d.PickConeRay

public final class PickConeRay extends PickCone
PickConeRay is an infinite cone ray pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

Since:
  Java 3D 1.2
See Also:
  - `BranchGroup.pickAll(PickShape)`
  - `Locale.pickAll(PickShape)`

## Constructor Summary

Constructors
Constructor
Description
`PickConeRay()`
Constructs an empty PickConeRay.
`PickConeRay(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction, double spreadAngle)`
Constructs an infinite cone pick shape from the specified parameters.

## Method Summary

Modifier and Type
Method
Description
`void`
`set(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction, double spreadAngle)`
Sets the parameters of this PickCone to the specified values.

### Methods inherited from class PickCone

`getDirection, getOrigin, getSpreadAngle`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickConeRay

public PickConeRay()
Constructs an empty PickConeRay. The origin and direction of the cone are initialized to (0,0,0). The spread angle is initialized to `PI/64` radians.

### PickConeRay

public PickConeRay(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction, double spreadAngle)
Constructs an infinite cone pick shape from the specified parameters.

Parameters:
  `origin` - the origin of the cone
  `direction` - the direction of the cone
  `spreadAngle` - the spread angle of the cone in radians

## Method Details

### set

public void set(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction, double spreadAngle)
Sets the parameters of this PickCone to the specified values.

Parameters:
  `origin` - the origin of the cone
  `direction` - the direction of the cone
  `spreadAngle` - the spread angle of the cone in radians